within ;
model Gyroscopic
  inner Modelica.Mechanics.MultiBody.World world
    annotation (Placement(transformation(extent={{-96,60},{-76,80}})));
  Modelica.Mechanics.MultiBody.Joints.Spherical spherical(
    sequence_start={1,2,3},
    w_rel_a_fixed=true,
    enforceStates=true,
    w_rel_a_start={25,0,0}) annotation (Placement(transformation(
        extent={{-10,-10},{10,10}},
        rotation=270,
        origin={-10,30})));
  Modelica.Mechanics.MultiBody.Parts.Body body(
    m=2,
    I_11=0.15,
    I_22=0.15,
    I_33=0.15,
    I_32=0.06) annotation (Placement(transformation(extent={{40,0},{60,20}})));
  Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation(r={0.6,0,
        0}) annotation (Placement(transformation(extent={{10,0},{30,20}})));
  Modelica.Mechanics.MultiBody.Parts.Fixed fixed annotation (Placement(
        transformation(
        extent={{-10,-10},{10,10}},
        rotation=270,
        origin={-10,70})));
  Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation1(r={0,
        0.25,0}) annotation (Placement(transformation(
        extent={{-10,-10},{10,10}},
        rotation=270,
        origin={40,-30})));
  Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedTranslation2(r={0,-0.25,
        0}) annotation (Placement(transformation(
        extent={{-10,-10},{10,10}},
        rotation=270,
        origin={62,-30})));
  annotation (uses(Modelica(version="3.1")), Diagram(graphics));
equation
  connect(spherical.frame_a, fixed.frame_b) annotation (Line(
      points={{-10,40},{-10,45},{-10,45},{-10,50},{-10,60},{-10,60}},
      color={95,95,95},
      thickness=0.5,
      smooth=Smooth.None));
  connect(fixedTranslation.frame_a, spherical.frame_b) annotation (Line(
      points={{10,10},{-10,10},{-10,20}},
      color={95,95,95},
      thickness=0.5,
      smooth=Smooth.None));
  connect(body.frame_a, fixedTranslation.frame_b) annotation (Line(
      points={{40,10},{30,10}},
      color={95,95,95},
      thickness=0.5,
      smooth=Smooth.None));
  connect(fixedTranslation1.frame_a, body.frame_a) annotation (Line(
      points={{40,-20},{40,10}},
      color={95,95,95},
      thickness=0.5,
      smooth=Smooth.None));
  connect(fixedTranslation2.frame_a, fixedTranslation1.frame_a) annotation (
      Line(
      points={{62,-20},{40,-20}},
      color={95,95,95},
      thickness=0.5,
      smooth=Smooth.None));
end Gyroscopic;
